Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.qjmlWizard
Class WCRef

    java.lang.Object
      |
      +--javax.swing.tree.DefaultMutableTreeNode
            |
            +--com.jxml.quick.util.qjmlWizard.WContent
                  |
                  +--com.jxml.quick.util.qjmlWizard.WCRef

All Implemented Interfaces:
  Cloneable, MutableTreeNode, QBiModal, Serializable, TreeNode, WAtt

public class WCRef
extends WContent

See Also:
  Serialized Form

Fields inherited from class com.jxml.quick.util.qjmlWizard.WContent
`access, atts, data, label, optional, repeating`

Fields inherited from class javax.swing.tree.DefaultMutableTreeNode
`allowsChildren, children, EMPTY_ENUMERATION, parent, userObject`

Constructor Summary
`WCRef()`

Method Summary
`WContent` | `copy()`
`boolean` | `editAtt(int i, Wizard wizard)`
`void` | `eval(Wizard wizard)`
`void` | `pasteAdd(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `pasteUpdate(WAtt elementBuffer, DefaultTreeModel dtm)`
`void` | `setErrors(Wizard wizard)`
`void` | `setQText(String text)`
`void` | `update()`

Methods inherited from class com.jxml.quick.util.qjmlWizard.WContent
`getAtts, getQText, match, pasteAfter, pasteBefore, pasteReplace, removeFromParent`

Methods inherited from class javax.swing.tree.DefaultMutableTreeNode
`add, breadthFirstEnumeration, children, clone, depthFirstEnumeration, getAllowsChildren, getChildAfter, getChildAt, getChildBefore, getChildCount, getDepth, getFirstChild, getFirstLeaf, getIndex, getLastChild, getLastLeaf, getLeafCount, getLevel, getNextLeaf, getNextNode, getNextSibling, getParent, getPath, getPathToRoot, getPreviousLeaf, getPreviousNode, getPreviousSibling, getRoot, getSharedAncestor, getSiblingCount, getUserObject, getUserObjectPath, insert, isLeaf, isNodeAncestor, isNodeChild, isNodeDescendant, isNodeRelated, isNodeSibling, isRoot, pathFromAncestorEnumeration, postorderEnumeration, preorderEnumeration, remove, remove, removeAllChildren, removeFromParent, setAllowsChildren, setParent, setUserObject, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCRef

    public WCRef()

Method Detail

### setQText

    public void setQText(String text)

  Overrides:
    `setQText` in class `WContent`

### update

    public void update()

  Overrides:
    `update` in class `WContent`

### editAtt

    public boolean editAtt(int i,
                           Wizard wizard)

  Overrides:
    `editAtt` in class `WContent`

### copy

    public WContent copy()

  Overrides:
    `copy` in class `WContent`

### eval

    public void eval(Wizard wizard)

  Overrides:
    `eval` in class `WContent`

### pasteUpdate

    public void pasteUpdate(WAtt elementBuffer,
                            DefaultTreeModel dtm)

  Overrides:
    `pasteUpdate` in class `WContent`

### pasteAdd

    public void pasteAdd(WAtt elementBuffer,
                         DefaultTreeModel dtm)

  Overrides:
    `pasteAdd` in class `WContent`

### setErrors

    public void setErrors(Wizard wizard)

  Overrides:
    `setErrors` in class `WContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD